Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 259697 - repoman -h should respect GLEP 56
Summary: repoman -h should respect GLEP 56
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Repoman (show other bugs)
Hardware: All All
: Normal minor (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 210077 288499
  Show dependency tree
 
Reported: 2009-02-20 12:08 UTC by Justin Lecher (RETIRED)
Modified: 2009-10-31 04:35 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
patch (repoman-IUSE.invalid.patch,991 bytes, patch)
2009-10-18 08:14 UTC, Alec Warner
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Lecher (RETIRED) gentoo-dev 2009-02-20 12:08:43 UTC
repoman -h say about IUSE.invalid
         This ebuild has a variable in IUSE that is not in the use.desc or use.local.desc file

which better should be

IUSE.invalid         This ebuild has a variable in IUSE that is not in the use.desc or its metadata.xml file

or similar
Comment 1 Alec Warner archtester gentoo-dev Security 2009-10-18 08:14:17 UTC
Created attachment 207453 [details, diff]
patch
Comment 2 Zac Medico gentoo-dev 2009-10-19 00:17:11 UTC
Thanks, this is in svn r14681.
Comment 3 Zac Medico gentoo-dev 2009-10-31 04:35:01 UTC
This is fixed in 2.1.7.2 and 2.2_rc47.